#!/usr/bin/perl -w
#
#	OUTDATED
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# IMPORTANT: SET UP YOUR F@H-PATH!
#
use strict;
use Switch;

#####################################################################
my $fahpath="/path/to/fah/";	 	    #change to your f@h-path#
#####################################################################

my $curl="curl &> /dev/null http://vspx27.stanford.edu/teamstats/team";
my $unitinfo=$fahpath . "/unitinfo.txt";
my $cfg=$fahpath . "/client.cfg";

my $count = 0;
my $wu;
my $dltime;
my $duetime;
my $progress;
my $name = "a";
my $team;
my @array;
my @stats;

if ($unitinfo =~ m/^\/path\/to\/fah/){		#just in case...
	print "Please set your f\@h path!\n";
	exit(1);
}

	open(INFILE, $unitinfo) or die "$unitinfo not found!";

	while (<INFILE>){
		switch ($count){
			case 2 {$wu=$_; chomp($wu); last;} 
			case 3 {$dltime=$_; chomp($dltime); last;}
			case 4 {$duetime=$_; chomp($duetime); last;} 
			case 5 {$progress=$_; chomp($progress); last;}
		}
		$count++;
	}
	close INFILE;


	open (INFILE, $cfg) or die "$cfg not found!";

	while(<INFILE>){
		if ($_ =~ m/^username/){	#get username
			$name = $_;
			$name =~ s/username=//;
			chomp($name);
		}
		if ($_ =~ m/^team/){		#get Team-Id
			$team=$_;
			$team =~ s/team=//;
			chomp($team);
			last;
		}
	}
	close INFILE;
	if ($team == 446 || $team == 0){			#remove this if your connection is fast enough...
		print "teamstats file is too large ;p\n";	#
		exit(1);					#
	}							#

	$curl=$curl.$team.".txt > /tmp/team.txt";
	system($curl);

	 
	open(INFILE, "/tmp/team.txt") or die "something went wrong\n";
	while(<INFILE>){
		if (!($_ =~ /^\n$/ )){
			@array = split /\t/, $_;
			if ($array[2]){
				if ($array[2] =~  $name){
					@stats=@array;
					last;
				}
			}
		}
	}
print "[*stats*] User: $name - Team: $team - team rank: $array[1] - overall rank: $array[0] - credit: $array[3] || [*wu*] $wu - $dltime - $duetime - $progress \n";
